Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.jca.server.rmi
Class RmiTransportServerImpl

    java.lang.Object
      org.apache.ode.jca.server.rmi.RmiTransportServerImpl

All Implemented Interfaces:
  java.rmi.Remote, OdeRemote

    public class RmiTransportServerImpl

extends java.lang.Object
implements OdeRemote

Server-side of the RMI transport. Manages a collection of communication "pipes", each represented by its own remote object.

Constructor Summary
`RmiTransportServerImpl()`

Method Summary
`int` | `getPort()`
`OdeTransportPipeRemote` | `newPipe()`
`void` | `setConnectionProvider(ConnectionProvider connprovider)`
`void` | `setId(java.lang.String id)`
`void` | `setPort(int port)`
`void` | `start()`
`void` | `stop()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RmiTransportServerImpl

    public RmiTransportServerImpl()

Method Detail

### setId

    public void setId(java.lang.String id)

### setConnectionProvider

    public void setConnectionProvider(ConnectionProvider connprovider)

### setPort

    public void setPort(int port)

### getPort

    public int getPort()

### start

    public void start()
               throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### stop

    public void stop()
              throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### newPipe

    public OdeTransportPipeRemote newPipe()
                                   throws java.rmi.RemoteException

  Specified by:
    `newPipe` in interface `OdeRemote`
  Throws:
    `java.rmi.RemoteException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD